Personator Identity Quickstart#

Introduction#

The Personator™ Identity is a single Cloud API that checks and verifies your client/contact data globally. An individual’s data can easily be verified against trusted reference data.

These data verification points include:

  • Name

  • Address

  • Phone

  • Email

  • Date of Birth

  • National ID

New to Melissa Cloud APIs?#

We highly recommend first time users of our Cloud APIs to review our Using Melissa Cloud APIs section. It will cover critical topics like:

System Requirements#

  • SSL/TLS 1.2+

Getting Started - What Can I Do?#

Check#

Determines whether the data within a submitted record is valid, e.g. whether or not a given postal code contains the given city. It can also make limited corrections and appends to the data. Check looks at each data point separately.

Endpoint#

/v1/doContactVerify

Click here to go to the full endpoint documentation.

Try it Now#

  • GET JSON
  • POST JSON
curl -X GET "https://globalpersonator.melissadata.net/v1/doContactVerify?\
&t=Test\
&id={{customerId}}\
&act=check\
&full=John%20Smith\
&phone=1-800-635-4772\
&email=info@melissa.com\
&a1=22382%20Avenida%20Empresa\
&loc=Rancho%20Santa%20Margarita\
&admarea=CA\
&postal=92688\
&ctry=US" \
-H "Content-Type: application/json" \
-H "Accept: application/json"
curl -X POST "https://globalpersonator.melissadata.net/v1/doContactVerify" \
-H "Content-Type: application/json" \
-H "Accept: application/json" \
-d '{
      "TransmissionReference": "Test",
      "CustomerID": "{{customerId}}",
      "Actions": "check",
      "FullName": "John Smith",
      "PhoneNumber": "1-800-635-4772",
      "Email": "info@melissa.com",
      "AddressLine1": "22382 Avenida Empresa",
      "Locality": "Rancho Santa Margarita",
      "AdministrativeArea": "CA",
      "PostalCode": "92688",
      "Country": "US"
    }'

Verify#

After the data has been checked, identity verification is performed and result codes (KV*) are returned to indicate what pieces of input data have been matched against trusted referenced data.

Endpoint#

/v1/doContactVerify

Click here to go to the full endpoint documentation.

Try it Now#

  • GET JSON
  • POST JSON
curl -X GET "https://globalpersonator.melissadata.net/v1/doContactVerify?\
&t=Test\
&id={{customerId}}\
&act=verify\
&full=John%20Smith\
&phone=1-800-635-4772\
&email=info@melissa.com\
&a1=22382%20Avenida%20Empresa\
&loc=Rancho%20Santa%20Margarita\
&admarea=CA\
&postal=92688\
&ctry=US" \
-H "Content-Type: application/json" \
-H "Accept: application/json"
curl -X POST "https://globalpersonator.melissadata.net/v1/doContactVerify" \
-H "Content-Type: application/json" \
-H "Accept: application/json" \
-d '{
      "TransmissionReference": "Test",
      "CustomerID": "{{customerId}}",
      "Actions": "verify",
      "FullName": "John Smith",
      "PhoneNumber": "1-800-635-4772",
      "Email": "info@melissa.com",
      "AddressLine1": "22382 Avenida Empresa",
      "Locality": "Rancho Santa Margarita",
      "AdministrativeArea": "CA",
      "PostalCode": "92688",
      "Country": "US"
    }'

Screen#

Screens the provided input against various government sanctions and watchlists and returns back a list of matches. For a list of used watchlists, see Personator Identity Watchlists.

Endpoint#

/v1/doContactVerify

Click here to go to the full endpoint documentation.

Try it Now#

  • GET JSON
  • POST JSON
curl -X GET "https://globalpersonator.melissadata.net/v1/doContactVerify?\
&t=Test\
&id={{customerId}}\
&act=screen\
&full=John%20Smith\
&phone=1-800-635-4772\
&email=info@melissa.com\
&a1=22382%20Avenida%20Empresa\
&loc=Rancho%20Santa%20Margarita\
&admarea=CA\
&postal=92688\
&ctry=US" \
-H "Content-Type: application/json" \
-H "Accept: application/json"
curl -X POST "https://globalpersonator.melissadata.net/v1/doContactVerify" \
-H "Content-Type: application/json" \
-H "Accept: application/json" \
-d '{
      "TransmissionReference": "Test",
      "CustomerID": "{{customerId}}",
      "Actions": "screen",
      "FullName": "John Smith",
      "PhoneNumber": "1-800-635-4772",
      "Email": "info@melissa.com",
      "AddressLine1": "22382 Avenida Empresa",
      "Locality": "Rancho Santa Margarita",
      "AdministrativeArea": "CA",
      "PostalCode": "92688",
      "Country": "US"
    }'

Inputs and Outputs#

The table below shows the most common inputs and outputs for this endpoint.

For full details on the inputs see the Request Parameters and for a complete list of the outputs see the Response fields.

  • GET JSON
  • POST JSON

Inputs

Outputs

Record Level Parameters

act

id

t

Option Parameters

addrOpt

emailOpt

nameOpt

opt

phoneOpt

privacy

Record Parameters

a1

a2

a3

a4

a5

a6

a7

a8

accountNumber

admarea

comp

ctry

ctryorg

dob

email

first

full

last

loc

nat

phone

postal

Service Level Response Fields

TransactionID

TransmissionReference

Results

Version

Name Fields

Results

Company

NamePrefix

NameFirst

NameMiddle

NameLast

NameSuffix

Gender

NamePrefix2

NameFirst2

NameMiddle2

NameLast2

NameSuffix2

Gender2

Address Fields

Results

FormattedAddress

Organization

AddressLine1

AddressLine2

AddressLine3

AddressLine4

AddressLine5

AddressLine6

AddressLine7

AddressLine8

SubPremises

DoubleDependentLocality

DependentLocality

Locality

SubAdministrativeArea

AdministrativeArea

PostalCode

AddressType

AddressKey

SubNationalArea

CountryName

CountryCode

CountryISO3

CountryNumber

CountrySubdivisionCode

Thoroughfare

ThoroughfarePreDirection

ThoroughfareLeadingType

ThoroughfareName

ThoroughfareTrailingType

ThoroughfarePostDirection

DependentThoroughfare

DependentThoroughfarePreDirection

DependentThoroughfareLeadingType

DependentThoroughfareName

DependentThoroughfareTrailingType

DependentThoroughfarePostDirection

Building

PremisesType

PremisesNumber

SubPremisesType

SubPremisesNumber

PostBox

Latitude

Longitude

Email Fields

DeliverabilityConfidenceScore

Results

EmailAddress

MailboxName

DomainName

TopLevelDomain

TopLevelDomainName

DateChecked

EmailAgeEstimated

DomainAgeEstimated

DomainExpirationDate

DomainCreatedDate

DomainUpdatedDate

DomainEmail

DomainOrganization

DomainAddress1

DomainLocality

DomainAdministrativeArea

DomainPostalCode

DomainCountry

DomainAvailability

DomainCountryCode

DomainPrivateProxy

PrivacyFlag

MXServer

BreachCount

Phone Fields

Results

Carrier

CallerID

InternationalPhoneNumber

PhoneNumber

PhoneInternationalPrefix

PhoneNationPrefix

PhoneCountryDialingCode

PhoneNationalDestinationCode

PhoneSubscriberNumber

Locality

AdministrativeArea

CountryName

CountryAbbreviation

DST

UTC

Language

Latitude

Longitude

TimeZoneCode

TimeZoneName

Identity Fields

Results

Confidence

Datasources

Watchlists

Hit

Sources

Articles

ReportLink

WatchlistPersons

NationalID

DateOfBirth

AccountNumber

Validated

BusinessInformation

Name

ID

Status

Type

RegistrationDate

Inputs

Outputs

Record Level Parameters

Actions

CustomerID

TransmissionReference

Option Parameters

AddressOptions

EmailOptions

NameOptions

Options

PhoneOptions

Privacy

Record Parameters

AccountNumber

AddressLine1

AddressLine2

AddressLine3

AddressLine4

AddressLine5

AddressLine6

AddressLine7

AddressLine8

AdministrativeArea

Company

Country

CountryOfOrigin

DateOfBirth

Email

FirstName

FullName

LastName

Locality

NationalID

PhoneNumber

PostalCode

Service Level Response Fields

TransactionID

TransmissionReference

Results

Version

Name Fields

Results

Company

NamePrefix

NameFirst

NameMiddle

NameLast

NameSuffix

Gender

NamePrefix2

NameFirst2

NameMiddle2

NameLast2

NameSuffix2

Gender2

Address Fields

Results

FormattedAddress

Organization

AddressLine1

AddressLine2

AddressLine3

AddressLine4

AddressLine5

AddressLine6

AddressLine7

AddressLine8

SubPremises

DoubleDependentLocality

DependentLocality

Locality

SubAdministrativeArea

AdministrativeArea

PostalCode

AddressType

AddressKey

SubNationalArea

CountryName

CountryCode

CountryISO3

CountryNumber

CountrySubdivisionCode

Thoroughfare

ThoroughfarePreDirection

ThoroughfareLeadingType

ThoroughfareName

ThoroughfareTrailingType

ThoroughfarePostDirection

DependentThoroughfare

DependentThoroughfarePreDirection

DependentThoroughfareLeadingType

DependentThoroughfareName

DependentThoroughfareTrailingType

DependentThoroughfarePostDirection

Building

PremisesType

PremisesNumber

SubPremisesType

SubPremisesNumber

PostBox

Latitude

Longitude

Email Fields

DeliverabilityConfidenceScore

Results

EmailAddress

MailboxName

DomainName

TopLevelDomain

TopLevelDomainName

DateChecked

EmailAgeEstimated

DomainAgeEstimated

DomainExpirationDate

DomainCreatedDate

DomainUpdatedDate

DomainEmail

DomainOrganization

DomainAddress1

DomainLocality

DomainAdministrativeArea

DomainPostalCode

DomainCountry

DomainAvailability

DomainCountryCode

DomainPrivateProxy

PrivacyFlag

MXServer

BreachCount

Phone Fields

Results

Carrier

CallerID

InternationalPhoneNumber

PhoneNumber

PhoneInternationalPrefix

PhoneNationPrefix

PhoneCountryDialingCode

PhoneNationalDestinationCode

PhoneSubscriberNumber

Locality

AdministrativeArea

CountryName

CountryAbbreviation

DST

UTC

Language

Latitude

Longitude

TimeZoneCode

TimeZoneName

Identity Fields

Results

Confidence

Datasources

Watchlists

Hit

Sources

Articles

ReportLink

WatchlistPersons

NationalID

DateOfBirth

AccountNumber

Validated

BusinessInformation

Name

ID

Status

Type

RegistrationDate